## webkit2gtk 2.40.3

=== debian/changelog ===
webkit2gtk (2.40.3-2~deb11u2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Sat, 22 Jul 2023 20:35:59 +0300

webkit2gtk (2.40.3-2~deb11u2) bullseye-security; urgency=medium

  * debian/patches/fix-CVE-2023-37450.patch:
    - Cherry pick fix for CVE-2023-37450.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:37:27 +0200

webkit2gtk (2.40.3-2~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP3=NO, ENABLE_GTK4=NO and
      USE_PREBUILT_DOCS=YES.
    - debian/control.in: Remove build dependency on ccache.
  * debian/rules:
    - Disable USE_AVI, USE_GBM and USE_GSTREAMER_TRANSCODER due to missing
      or additional build dependencies.
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.
  * debian/control:
    - Don't require version 1.20.0 of libgstreamer-plugins-bad1.0-dev.

 -- Alberto Garcia <berto@igalia.com>  Thu, 06 Jul 2023 15:08:40 +0200

webkit2gtk (2.40.3-2) unstable; urgency=high

  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation
      (Closes: #1039877).
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 Jun 2023 15:14:08 +0200

webkit2gtk (2.40.3-1) unstable; urgency=high

  * New upstream release (Closes: #1036946).
  * debian/control.in:
    - Enable the bubblewrap sandbox in riscv64.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/patches/fix-jsc-timestamp.patch:
    - Ensure reproducibility of __TIMESTAMP__ in JSCBytecodeCacheVersion.cpp.

 -- Alberto Garcia <berto@igalia.com>  Wed, 28 Jun 2023 16:55:42 +0200
