=== debian/changelog ===
webkit2gtk (2.40.5-1~deb12u1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 01 Oct 2023 19:31:01 +0300

webkit2gtk (2.40.5-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * The WebKitGTK security advisory WSA-2023-0007 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2023-38133, CVE-2023-38572, CVE-2023-38592, CVE-2023-38594,
      CVE-2023-38595, CVE-2023-38597, CVE-2023-38599, CVE-2023-38600,
      CVE-2023-38611 (fixed in 2.40.5)

 -- Alberto Garcia <berto@igalia.com>  Sat, 05 Aug 2023 03:13:42 +0300

webkit2gtk (2.40.5-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Use -O1 instead of -Os in sh4 (thanks, John Paul Adrian Glaubitz)
      (Closes: #1042519).
  * Drop debian/patches/fix-jsc-timestamp.patch.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Aug 2023 00:01:52 +0300

webkit2gtk (2.40.4-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:01:47 +0200
