=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 # soup3 build -> 4.1 API packages
 # gtk4 build  -> 6.0 API packages
 ENABLE_SOUP2=YES
-ENABLE_SOUP3=NO
-ENABLE_GTK4=NO
+ENABLE_SOUP3=YES
+ENABLE_GTK4=YES
 # Set to YES to use the docs from the tarball instead of generating them.
 # Use only if gi-docgen is not available.
-USE_PREBUILT_DOCS=YES
+USE_PREBUILT_DOCS=NO
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -26,21 +26,10 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
-	   -DUSE_AVIF=OFF \
-	   -DUSE_GBM=OFF \
-	   -DUSE_GSTREAMER_TRANSCODER=OFF \
 	   -DENABLE_MINIBROWSER=ON \
-           -DENABLE_JOURNALD_LOG=OFF 
+           -DENABLE_JOURNALD_LOG=OFF
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
-
-# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
-# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang \
-	   -DCMAKE_CXX_COMPILER=clang++
-endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -83,7 +72,7 @@
 endif
 
 # Lower memory requirements on architectures with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -92,7 +81,9 @@
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
 # and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
 ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
+	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-O1)
+	CPPFLAGS += --param ggc-min-expand=10
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -235,3 +226,8 @@
 			     -e 's/4\.0/4.1/g'
 
 # This converts debhelper file names and contents to the gtk4 versions
+WEBKIT_DH_RENAME_GTK4 = sed -e '/usr\/include\/webkitgtk-4.0\/webkit2/d' \
+			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
+			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
+			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
+			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \
