## webkit2gtk 2.41.91

=== debian/changelog ===
webkit2gtk (2.41.91-1) experimental; urgency=medium

  * New upstream development release.
  * debian/rules:
    - Use --max-parallel=2 in Debian mipsel builds again.
    - Don't build jpegxl support on Ubuntu yet (it's still in universe)
      (Jeremy Bicha).

 -- Alberto Garcia <berto@igalia.com>  Sat, 19 Aug 2023 22:16:41 +0200

webkit2gtk (2.41.90-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches and drop fix-jsc-timestamp.patch.
  * debian/rules:
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.
    - Use -O1 instead of -Os in sh4 (thanks, John Paul Adrian Glaubitz)
      (#1042519).
  * debian/copyright:
    - Update copyright information of all files.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Mon, 14 Aug 2023 20:22:34 +0300

webkit2gtk (2.41.6-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation.
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.
  * debian/patches/fix-jsc-timestamp.patch:
    - Ensure reproducibility of __TIMESTAMP__ in JSCBytecodeCacheVersion.cpp.

 -- Alberto Garcia <berto@igalia.com>  Tue, 04 Jul 2023 16:15:48 +0200

webkit2gtk (2.41.5-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/control.in:
    - Enable the bubblewrap sandbox in riscv64.
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.

 -- Alberto Garcia <berto@igalia.com>  Wed, 14 Jun 2023 15:10:20 +0200

webkit2gtk (2.41.4-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/control:
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/rules:
    - Pass -VNone to dh_makeshlibs for javascriptcore to keep the behavior
      of the debhelper compat level 11 and earlier.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Wed, 17 May 2023 21:54:42 +0200
