=== debian/control ===
--- 
+++ 
@@ -9,26 +9,28 @@
 X-Ubuntu-Use-Langpack: no
 Build-Depends: debhelper-compat (= 12),
                ccache [!i386 !m68k],
-               bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
+               bubblewrap [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
-               cmake (>= 3.10),
-               libglib2.0-dev (>= 2.44.0),
-               libharfbuzz-dev (>= 0.9.18),
-               libcairo2-dev (>= 1.14.0),
+               cmake (>= 3.16),
+               libglib2.0-dev,
+               libharfbuzz-dev,
+               libcairo2-dev,
                libfontconfig-dev,
                libfreetype-dev,
                libicu-dev,
-               libgcrypt20-dev (>= 1.7.0),
+               libgcrypt20-dev,
                libhyphen-dev,
+               libjxl-dev,
                liblcms2-dev,
                libmanette-0.2-dev (>= 0.2.4) [linux-any],
-               libxslt1-dev (>= 1.1.7),
-               libxml2-dev (>= 2.8),
+               libxslt1-dev,
+               libxml2-dev,
                libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
-               libsqlite3-dev (>= 3.0),
+               libsqlite3-dev,
+               libsystemd-dev [linux-any],
                libgudev-1.0-dev [linux-any],
-               libwoff-dev (>= 1.0.2),
+               libwoff-dev,
                libwpebackend-fdo-1.0-dev [linux-any],
                gperf,
                bison,
@@ -37,18 +39,18 @@
                unifdef,
                libavif-dev,
                libjpeg-dev,
-               libopenjp2-7-dev (>= 2.2.0),
+               libopenjp2-7-dev,
                libpng-dev,
                libtasn1-6-dev,
                libwebp-dev,
                libxt-dev,
-               libgstreamer1.0-dev (>= 1.14.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
                libenchant-2-dev,
                libsecret-1-dev,
-               gobject-introspection (>= 1.32.0),
-               libgirepository1.0-dev (>= 0.9.12-4),
+               gobject-introspection,
+               libgirepository1.0-dev,
                ninja-build,
                libegl-dev,
                libgl-dev,
@@ -305,3 +307,5 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         gstreamer1.0-plugins-base,
