## webkit2gtk 2.42.1

=== debian/changelog ===
webkit2gtk (2.42.1-2) unstable; urgency=medium

  * debian/patches/disable-dmabuf-nvidia.patch:
    - Disable the DMABuf renderer for NVIDIA proprietary drivers
      (Closes: #1039720, #1052055).

 -- Alberto Garcia <berto@igalia.com>  Wed, 04 Oct 2023 17:09:23 +0200

webkit2gtk (2.42.1-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Sep 2023 10:49:22 +0200

webkit2gtk (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.41 (experimental) branch.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/control.in:
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.
    - Require CMake 3.16
  * debian/control-common.in:
    - Add dependency on libgles2. This is no longer detected automatically
      because it's loaded at runtime by libepoxy (see #1050777).
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/rules:
    - Use --max-parallel=2 in Debian mipsel builds again.
    - Don't build jpegxl support on Ubuntu yet (it's still in universe)
      (Jeremy Bicha).
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Sep 2023 14:49:49 +0200
